Engagement / REST API
Discover tracked posts
Fetch and persist at most five real posts from one tracked LinkedIn profile using its connected account. No AI, following, posting, schedule or tracking-status changes. Supports paused profiles for review-only discovery.
POST /api/v1/engagement/tracked-posts/discoverDeterministic operationParameters
workspaceIdOptional · string- See the input schema for this field.
trackedProfileIdRequired · string- See the input schema for this field.
limitOptional · integer- See the input schema for this field.
curl -X POST "https://app.pipeline.help/api/v1/engagement/tracked-posts/discover" \
-H "Authorization: Bearer $PIPELINE_API_KEY" \
-H "Content-Type: application/json" \
-d '{"trackedProfileId":"00000000-0000-4000-8000-000000000000"}'Full input schema
{
"type": "object",
"properties": {
"workspaceId": {
"type": "string",
"format": "uuid"
},
"trackedProfileId": {
"type": "string",
"format": "uuid"
},
"limit": {
"type": "integer",
"minimum": 1,
"maximum": 5,
"default": 1
}
},
"required": [
"trackedProfileId"
]
}